#
# spec file for package python-sphinxcontrib-blockdiag
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
# Test files missing
%bcond_with     test
Name:           python-sphinxcontrib-blockdiag
Version:        1.5.5
Release:        bp153.2.1
License:        BSD-2-Clause
Summary:        Sphinx "blockdiag" extension
Url:            https://github.com/blockdiag/sphinxcontrib-blockdiag
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-%{version}.tar.gz
BuildRequires:  %{python_module blockdiag >= 1.5.0}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module sphinxcontrib}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module Sphinx >= 0.6}
BuildRequires:  %{python_module funcparserlib}
BuildRequires:  %{python_module sphinx-testing}
BuildRequires:  python-mock
%endif
Requires:       python-Sphinx >= 0.6
Requires:       python-blockdiag >= 1.5.0
Requires:       python-sphinxcontrib
BuildArch:      noarch

%python_subpackages

%description
A sphinx extension for embedding block diagram using blockdiag.

%prep
%setup -q -n sphinxcontrib-blockdiag-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst
%{python_sitelib}/sphinxcontrib/blockdiag.py*
%pycache_only %{python_sitelib}/sphinxcontrib/__pycache__/blockdiag*.py*
%{python_sitelib}/sphinxcontrib_blockdiag-%{version}-py*-nspkg.pth
%{python_sitelib}/sphinxcontrib_blockdiag-%{version}-py*.egg-info

%changelog
* Mon Feb  8 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Include in SLE-15 (bsc#1176785, jsc#ECO-3105, jsc#PM-2352)
* Mon Sep 18 2017 toddrme2178@gmail.com
- Use new python-sphinxcontrib package to provide namespace
  directory.
* Mon Sep 18 2017 toddrme2178@gmail.com
- Specify files to guarantee namespace package doesn't conflict
  with python(2|3)-Sphinx
* Mon Oct 31 2016 termim@gmail.com
- initial checkin version 1.5.5
